Index: kruskalbox.cc
===================================================================
--- kruskalbox.cc	(revision 201)
+++ kruskalbox.cc	(revision 174)
@@ -17,9 +17,4 @@
  */
 
-#include <lemon/kruskal.h>
-
-#include <mapstorage.h>
-#include <mapselector.h>
-#include <algobox.h>
 #include <kruskalbox.h>
 
@@ -34,40 +29,41 @@
 {
   if(
-      tabcbt.get_active_text()!="" &&
-      (edgemapcbts[INPUT])->get_active_text()!="" &&
-      (edgemapcbts[OUTPUT])->get_active_text()!=""
-    )
-  {
+     tabcbt.get_active_text()!="" &&
+     (edgemapcbts[INPUT])->get_active_text()!="" &&
+     (edgemapcbts[OUTPUT])->get_active_text()!=""
+     )
+    {
 
-    const Graph &g=mapstorage->getGraph();
-    std::string input_map_name = edgemapcbts[INPUT]->get_active_text();
-    Graph::EdgeMap<bool> outputmap(g);
-    const MapStorage::NumericEdgeMap& inputmap=
-      mapstorage->getNumericEdgeMap(input_map_name);
-    double res=kruskal(g, inputmap, outputmap);
+      const Graph &g=mapstorage->graph;
+      Graph::EdgeMap<double> * inputmap=
+	((mapstorage->edgemap_storage)[(edgemapcbts[INPUT])->get_active_text()]);
+      Graph::EdgeMap<bool> outputmap(g);
+      double res=kruskal(g, *inputmap, outputmap);
 
-    for (EdgeIt i(g); i!=INVALID; ++i)
-    {
-      if(outputmap[i])
-      {
-        mapstorage->set(edgemapcbts[OUTPUT]->get_active_text(), i, 1.0);
-      }
-      else
-      {
-        mapstorage->set(edgemapcbts[OUTPUT]->get_active_text(), i, 0.0);
-      }
+      for (EdgeIt i(g); i!=INVALID; ++i)
+	{
+	  if(outputmap[i])
+	    {
+	      (*((mapstorage->edgemap_storage)[(edgemapcbts[OUTPUT])->
+					       get_active_text()]))[i]=1;
+	    }
+	  else
+	    {
+	      (*((mapstorage->edgemap_storage)[(edgemapcbts[OUTPUT])->
+					       get_active_text()]))[i]=0;
+	    }
+	}
+
+      std::ostringstream o;
+      o << "Result: " << res;
+      resultlabel.set_text(o.str());
+
+      mapstorage->mapChanged(true, (edgemapcbts[OUTPUT])->get_active_text());
+      //   mapstorage->changeActiveMap(true, E_COLOR,
+      // 			      (edgemapcbts[OUTPUT])->get_active_text());
+      //   mapstorage->changeActiveMap(true, E_TEXT,
+      // 			      (edgemapcbts[INPUT])->get_active_text());
+  
     }
-
-    std::ostringstream o;
-    o << "Result: " << res;
-    resultlabel.set_text(o.str());
-
-    mapstorage->mapChanged(true, (edgemapcbts[OUTPUT])->get_active_text());
-    //   mapstorage->changeActiveMap(true, E_COLOR,
-    // 			      (edgemapcbts[OUTPUT])->get_active_text());
-    //   mapstorage->changeActiveMap(true, E_TEXT,
-    // 			      (edgemapcbts[INPUT])->get_active_text());
-
-  }
 }
     
@@ -76,6 +72,6 @@
   std::vector<std::string> empty_vector;
 
-  addMapSelector("Edgecosts: ", true, NUM);
-  addMapSelector("Edges of tree here: ", true, NUM);
+  addMapSelector("Edgecosts: ", true);
+  addMapSelector("Edges of tree here: ", true);
 
   resultlabel.set_text("Result: algorithm is not run yet.");
Index: kruskalbox.h
===================================================================
--- kruskalbox.h	(revision 194)
+++ kruskalbox.h	(revision 174)
@@ -20,7 +20,9 @@
 #define KRUSKALBOX_H
 
-class AlgoBox;
+class KruskalBox;
 
 #include <all_include.h>
+#include <algobox.h>
+#include <lemon/kruskal.h>
 #include <libgnomecanvasmm.h>
 #include <libgnomecanvasmm/polygon.h>
Index: main_win.cc
===================================================================
--- main_win.cc	(revision 201)
+++ main_win.cc	(revision 184)
@@ -23,12 +23,5 @@
 #include "main_win.h"
 #include "guipixbufs.h"
-#include "save_details_dialog.h"
 #include "background_chooser_dialog.h"
-
-#include <mapstorage.h>
-#include <graph_displayer_canvas.h>
-#include <algowin.h>
-#include <new_map_win.h>
-#include <nbtab.h>
 
 #include "i18n.h"
@@ -56,6 +49,4 @@
   Glib::RefPtr<Gdk::Pixbuf> p_newmap_pixbuf = Gdk::Pixbuf::create_from_inline(
       2328, gui_icons_newmap);
-  Glib::RefPtr<Gdk::Pixbuf> p_eps_pixbuf = Gdk::Pixbuf::create_from_inline(
-      2328, gui_icons_eps);
 
   Gtk::IconSource move_icon_source;
@@ -94,10 +85,4 @@
   newmap_icon_set.add_source(newmap_icon_source);
   p_icon_factory->add(Gtk::StockID("gd-newmap"), newmap_icon_set);
-
-  Gtk::IconSource eps_icon_source;
-  eps_icon_source.set_pixbuf(p_eps_pixbuf);
-  Gtk::IconSet eps_icon_set;
-  eps_icon_set.add_source(eps_icon_source);
-  p_icon_factory->add(Gtk::StockID("gd-eps"), eps_icon_set);
 
   p_icon_factory->add_default();
@@ -116,6 +101,4 @@
   ag->add( Gtk::Action::create("FileSaveAs", Gtk::Stock::SAVE_AS),
       sigc::mem_fun(*this, &MainWin::saveFileAs));
-  ag->add( Gtk::Action::create("SaveDetails", _("Save _Details...")),
-	   sigc::mem_fun(*this, &MainWin::createSaveDetailsDialog));
   ag->add( Gtk::Action::create("Close", Gtk::Stock::CLOSE),
       sigc::mem_fun(*this, &MainWin::closeTab));
@@ -164,12 +147,9 @@
       sigc::bind( sigc::mem_fun ( *this, &MainWin::changeEditorialTool ), 4) );
 
-  ag->add( Gtk::Action::create("AddMap", Gtk::StockID("gd-newmap"), "New map"),
+  ag->add( Gtk::Action::create("AddMap", Gtk::StockID("gd-newmap")),
       sigc::mem_fun ( *this , &MainWin::createNewMapWin ) );
 
   ag->add( Gtk::Action::create("DesignGraph", Gtk::Stock::REFRESH),
       sigc::mem_fun ( *this , &MainWin::reDesignGraph ) );
-
-  ag->add( Gtk::Action::create("Eps", Gtk::StockID("gd-eps"), "Export to EPS"),
-      sigc::mem_fun ( *this , &MainWin::exportToEPS ) );
 
   uim=Gtk::UIManager::create();
@@ -189,5 +169,4 @@
       "      <menuitem action='FileSave'/>"
       "      <menuitem action='FileSaveAs'/>"
-      "      <menuitem action='SaveDetails'/>"
       "      <menuitem action='Close'/>"
       "      <menuitem action='Quit'/>"
@@ -230,5 +209,4 @@
       "    <toolitem action='AddMap' />"
       "    <toolitem action='DesignGraph' />"
-      "    <toolitem action='Eps' />"
       "  </toolbar>"
       "</ui>";
@@ -252,5 +230,4 @@
   {
     static_cast<Gtk::Toolbar*>(toolbar)->set_toolbar_style(Gtk::TOOLBAR_ICONS);
-    static_cast<Gtk::Toolbar*>(toolbar)->set_tooltips(true);
     //hbox.pack_start(*toolbar, Gtk::PACK_EXPAND_WIDGET);
 
@@ -293,30 +270,6 @@
   table.attach(table2, 1, 2, 0, 2, Gtk::SHRINK, Gtk::SHRINK);
 
-  tooltips=Gtk::manage(new Gtk::Tooltips());
-  if(tooltips)
-    {
-      tooltips->set_tip(*zoom_track, "If on, edge widths and node radiuses are constant, independent from zooming");
-      tooltips->set_tip(*auto_scale, "If on, glemon automatically determines the size of edges and nodes");
-      tooltips->set_tip(*radius_size, "Sets maximum node radius, if auto-scale is off");
-      tooltips->set_tip(*edge_width, "Sets maximum edge width, if auto-scale is off");
-
-      static_cast<Gtk::ToolItem*>(uim->get_widget("/ToolBar/FileNew"))->set_tooltip(*tooltips, "Inserts new tab");
-      static_cast<Gtk::ToolItem*>(uim->get_widget("/ToolBar/FileOpen"))->set_tooltip(*tooltips, "Lets you open a file");
-      static_cast<Gtk::ToolItem*>(uim->get_widget("/ToolBar/FileSave"))->set_tooltip(*tooltips, "Saves the graph on the active tab");
-      static_cast<Gtk::ToolItem*>(uim->get_widget("/ToolBar/Close"))->set_tooltip(*tooltips, "Closes the active tab");
-      static_cast<Gtk::ToolItem*>(uim->get_widget("/ToolBar/ViewZoomIn"))->set_tooltip(*tooltips, "Zoom in the graph");
-      static_cast<Gtk::ToolItem*>(uim->get_widget("/ToolBar/ViewZoomOut"))->set_tooltip(*tooltips, "Zoom out the graph");
-      static_cast<Gtk::ToolItem*>(uim->get_widget("/ToolBar/ViewZoom100"))->set_tooltip(*tooltips, "Shows actual size of graph");
-      static_cast<Gtk::ToolItem*>(uim->get_widget("/ToolBar/ViewZoomFit"))->set_tooltip(*tooltips, "Fits graph into window");
-      static_cast<Gtk::ToolItem*>(uim->get_widget("/ToolBar/MoveItem"))->set_tooltip(*tooltips, "Moves the clicked item (edge/node)");
-      static_cast<Gtk::ToolItem*>(uim->get_widget("/ToolBar/CreateNode"))->set_tooltip(*tooltips, "Adds new node");
-      static_cast<Gtk::ToolItem*>(uim->get_widget("/ToolBar/CreateEdge"))->set_tooltip(*tooltips, "Lets you create new edge");
-      static_cast<Gtk::ToolItem*>(uim->get_widget("/ToolBar/EraseItem"))->set_tooltip(*tooltips, "Erases the clicked item (edge/node)");
-      static_cast<Gtk::ToolItem*>(uim->get_widget("/ToolBar/EditEdgeMap"))->set_tooltip(*tooltips, "Lets you edit the values written on the items");
-      static_cast<Gtk::ToolItem*>(uim->get_widget("/ToolBar/AddMap"))->set_tooltip(*tooltips, "Adds edge/nodemap");
-      static_cast<Gtk::ToolItem*>(uim->get_widget("/ToolBar/DesignGraph"))->set_tooltip(*tooltips, "Redesigns your graph, supposing elastic edges and propulsation of nodes.");
-
-      tooltips->enable();
-    }
+  tooltips.set_tip(*(uim->get_widget("/ToolBar/CreateNode")),"Create Node");
+  tooltips.enable();
 
   active_tab=-1;
@@ -375,5 +328,5 @@
   if(active_tab!=-1)
     {
-      if (tabs[active_tab]->mapstorage->getModified())
+      if (tabs[active_tab]->mapstorage.modified)
 	{
 	  Gtk::MessageDialog mdialog(_("<b>Save changes before closing?</b>"), true, 
@@ -564,5 +517,5 @@
     {
     }
-  awp->update_maplist(tabs[i]->mapstorage);
+  awp->update_maplist(&(tabs[i]->mapstorage));
 }
 
@@ -633,21 +586,7 @@
 }
 
-void MainWin::createSaveDetailsDialog()
-{
-  SaveDetailsDialog dialog(tabs[active_tab]->mapstorage);
+void MainWin::createBackgroundChooser()
+{
+  BackgroundChooserDialog dialog(&(tabs[active_tab]->mapstorage));
   dialog.run();
 }
-
-void MainWin::exportToEPS()
-{
-  if(active_tab!=-1)
-    {
-      tabs[active_tab]->createExportToEPSWin(tabnames[active_tab]);
-    }
-}
-
-void MainWin::createBackgroundChooser()
-{
-  BackgroundChooserDialog dialog(tabs[active_tab]->mapstorage);
-  dialog.run();
-}
Index: main_win.h
===================================================================
--- main_win.h	(revision 201)
+++ main_win.h	(revision 184)
@@ -21,9 +21,11 @@
 
 #include "all_include.h"
+#include "algowin.h"
+#include "map_win.h"
+#include "new_map_win.h"
+#include "nbtab.h"
 #include <libgnomecanvasmm.h>
 #include <libgnomecanvasmm/polygon.h>
 
-class AlgoWin;
-class NoteBookTab;
 
 ///This class is the main window of GUI.
@@ -116,5 +118,5 @@
 
   ///Tooltips
-  Gtk::Tooltips * tooltips;
+  Gtk::Tooltips tooltips;
 
   //Call-backs of buttons
@@ -261,9 +263,4 @@
   virtual void reDesignGraph();
 
-  /// Pops up a SaveDetailsDialog.
-  void createSaveDetailsDialog();
-
-  virtual void exportToEPS();
-
   void createBackgroundChooser();
 };
Index: map_win.cc
===================================================================
--- map_win.cc	(revision 201)
+++ map_win.cc	(revision 174)
@@ -17,7 +17,5 @@
  */
 
-#include <map_win.h>
-#include <nbtab.h>
-#include <mapselector.h>
+#include "map_win.h"
 #include <set>
 
@@ -32,10 +30,5 @@
 }
 
-MapWin::MapWin(const std::string& title,
-    std::vector<std::string> n_eml,
-    std::vector<std::string> s_eml,
-    std::vector<std::string> n_nml,
-    std::vector<std::string> s_nml,
-    NoteBookTab & mw):mytab(mw)
+MapWin::MapWin(const std::string& title, std::vector<std::string> eml, std::vector<std::string> nml, NoteBookTab & mw):mytab(mw)
 {
   set_title(title);
@@ -54,22 +47,5 @@
   for(int i=0;i<EDGE_PROPERTY_NUM;i++)
   {
-    switch (i)
-    {
-      case E_WIDTH:
-        e_combo_array[i]=new MapSelector(n_eml, s_eml,
-            mytab.getActiveEdgeMap(i), edge_property_strings[i],
-            true, true, NUM);
-        break;
-      case E_COLOR:
-        e_combo_array[i]=new MapSelector(n_eml, s_eml,
-            mytab.getActiveEdgeMap(i), edge_property_strings[i],
-            true, true, NUM);
-        break;
-      case E_TEXT:
-        e_combo_array[i]=new MapSelector(n_eml, s_eml,
-            mytab.getActiveEdgeMap(i), edge_property_strings[i],
-            true, true, ALL);
-        break;
-    }
+    e_combo_array[i]=new MapSelector(eml, mytab.getActiveEdgeMap(i), edge_property_strings[i], true);
 
     (*table).attach((*(e_combo_array[i])),0,1,i,i+1,Gtk::SHRINK,Gtk::SHRINK,10,3);
@@ -91,22 +67,5 @@
   for(int i=0;i<NODE_PROPERTY_NUM;i++)
   {
-    switch (i)
-    {
-      case N_RADIUS:
-        n_combo_array[i]=new MapSelector(n_nml, s_nml,
-            mytab.getActiveNodeMap(i), node_property_strings[i],
-            false, true, NUM);
-        break;
-      case N_COLOR:
-        n_combo_array[i]=new MapSelector(n_nml, s_nml,
-            mytab.getActiveNodeMap(i), node_property_strings[i],
-            false, true, NUM);
-        break;
-      case N_TEXT:
-        n_combo_array[i]=new MapSelector(n_nml, s_nml,
-            mytab.getActiveNodeMap(i), node_property_strings[i],
-            false, true, ALL);
-        break;
-    }
+    n_combo_array[i]=new MapSelector(nml, mytab.getActiveNodeMap(i), node_property_strings[i], false);
 
     (*table).attach((*(n_combo_array[i])),0,1,i,i+1,Gtk::SHRINK,Gtk::SHRINK,10,3);
@@ -121,6 +80,4 @@
 
   vbox.pack_start(*table);
-
-  update(n_eml, s_eml, n_nml, s_nml);
 
   show_all_children();
@@ -143,18 +100,14 @@
 }
 
-void MapWin::update(
-    std::vector<std::string> n_eml,
-    std::vector<std::string> s_eml,
-    std::vector<std::string> n_nml,
-    std::vector<std::string> s_nml)
+void MapWin::update(std::vector<std::string> eml, std::vector<std::string> nml)
 {
   for(int i=0;i<EDGE_PROPERTY_NUM;i++)
   {
-    e_combo_array[i]->update_list(n_eml, s_eml);
+    e_combo_array[i]->update_list(eml);
   }
 
   for(int i=0;i<NODE_PROPERTY_NUM;i++)
   {
-    n_combo_array[i]->update_list(n_nml, s_nml);
+    n_combo_array[i]->update_list(nml);
   }
 
@@ -162,19 +115,19 @@
 }
 
-void MapWin::registerNewEdgeMap(std::string newmapname, MapValue::Type type)
+void MapWin::registerNewEdgeMap(std::string newmapname)
 {
   for(int i=0;i<EDGE_PROPERTY_NUM;i++)
   {
     //filling in combo box with choices
-    e_combo_array[i]->append_text((Glib::ustring)newmapname, type);
+    e_combo_array[i]->append_text((Glib::ustring)newmapname);
   }
 }
 
-void MapWin::registerNewNodeMap(std::string newmapname, MapValue::Type type)
+void MapWin::registerNewNodeMap(std::string newmapname)
 {
   for(int i=0;i<NODE_PROPERTY_NUM;i++)
   {
     //filling in combo box with choices
-    n_combo_array[i]->append_text((Glib::ustring)newmapname, type);
+    n_combo_array[i]->append_text((Glib::ustring)newmapname);
   }
 }
Index: map_win.h
===================================================================
--- map_win.h	(revision 201)
+++ map_win.h	(revision 174)
@@ -20,11 +20,11 @@
 #define MAP_WIN_H
 
-class NoteBookTab;
-class MapSelector;
+class MapWin;
 
 #include <all_include.h>
+#include <nbtab.h>
+#include <mapselector.h>
 #include <libgnomecanvasmm.h>
 #include <libgnomecanvasmm/polygon.h>
-#include "map_value.h"
 
 ///Graph visualization setup window.
@@ -66,11 +66,8 @@
   ///binds the needed signal to the correct place.
   ///\param title title of window
+  ///\param eml edgemap list
+  ///\param nml nodemap list
   ///\param mw the owner \ref NoteBookTab (\ref mytab)
-  MapWin(const std::string& title, 
-      std::vector<std::string> n_eml,
-      std::vector<std::string> s_eml,
-      std::vector<std::string> n_nml,
-      std::vector<std::string> s_nml,
-      NoteBookTab & mw);
+  MapWin(const std::string& title, std::vector<std::string> eml, std::vector<std::string> nml, NoteBookTab & mw);
 
   ///Deregistrates \ref MapWin in its \ref NoteBookTab (\ref mytab)
@@ -111,5 +108,5 @@
   ///\param new_name
   ///name of new map
-  void registerNewEdgeMap(std::string new_name, MapValue::Type type);
+  void registerNewEdgeMap(std::string new_name);
 
   ///This function inserts name of the new nodemap in the name list in \ref MapSelector s
@@ -117,5 +114,5 @@
   ///\param new_name
   ///name of new map
-  void registerNewNodeMap(std::string new_name, MapValue::Type type);
+  void registerNewNodeMap(std::string new_name);
 
   ///Close window if Esc key pressed.
@@ -129,9 +126,7 @@
   ///has to call this function or not from the \ref NoteBookTab::mapwinexists
   ///variable.
-  void update(
-    std::vector<std::string> n_eml,
-    std::vector<std::string> s_eml,
-    std::vector<std::string> n_nml,
-    std::vector<std::string> s_nml);
+  ///\param eml edge map list
+  ///\param nml node map list
+  void update(std::vector<std::string> eml, std::vector<std::string> nml);
 
   void changeEntry(bool, int, std::string);
Index: mapselector.cc
===================================================================
--- mapselector.cc	(revision 201)
+++ mapselector.cc	(revision 174)
@@ -17,28 +17,20 @@
  */
 
-#include <mapselector.h>
+#include "mapselector.h"
 
-MapSelector::MapSelector(std::vector<std::string> n_ml,
-    std::vector<std::string> s_ml, std::string act,
-    std::string labeltext, bool edge, bool d, MapType type) :
-  def(d),
-  itisedge(edge),
-  set_new_map(false),
-  label(labeltext),
-  map_type(type),
-  newbut(Gtk::Stock::NEW)
+MapSelector::MapSelector(std::vector<std::string> ml, std::string act, std::string labeltext, bool edge, bool d):def(d),itisedge(edge),set_new_map(false)
 {
-  update_list(n_ml, s_ml);
+  update_list(ml);
 
   if(act=="")
-  {
-    cbt.set_active(0);
-    default_state=true;
-  }
+    {
+      cbt.set_active(0);
+      default_state=true;
+    }
   else
-  {
-    cbt.set_active_text((Glib::ustring)act);
-    default_state=false;
-  }
+    {
+      cbt.set_active_text((Glib::ustring)act);
+      default_state=false;
+    }
 
   //binding signal to the actual entry
@@ -47,33 +39,39 @@
      sigc::mem_fun((*this), &MapSelector::comboChanged),
      false
-    );
+     );
+  
+  label=new Gtk::Label(labeltext);
 
-  label.set_width_chars(longest_property_string_length);
+  label->set_width_chars(longest_property_string_length);
 
+  defbut=NULL;
   if(def)
-  {
-    defbut.set_label("Reset");
-    defbut.signal_pressed().connect
-      (
-       sigc::mem_fun(*this, &MapSelector::reset)
-      );
-  }
+    {
+      defbut=new Gtk::Button();
+      defbut->set_label("Reset");
+      
+      defbut->signal_pressed().connect
+	(
+	 sigc::mem_fun(*this, &MapSelector::reset)
+	 );
+    }
 
+  newbut=new Gtk::Button(Gtk::Stock::NEW);
 
-  newbut.signal_pressed().connect
+  newbut->signal_pressed().connect
     (
      sigc::mem_fun(*this, &MapSelector::new_but_pressed)
-    );
+     );
 
-  add(label);
+  add(*label);
 
   add(cbt);
 
   if(def)
-  {
-    add(defbut);
-  }
+    {
+      add(*defbut);
+    }
 
-  add(newbut);
+  add(*newbut);
 }
 
@@ -84,29 +82,15 @@
 }
 
-void MapSelector::update_list(std::vector<std::string> n_ml,
-    std::vector<std::string> s_ml)
+void MapSelector::update_list( std::vector< std::string > ml )
 {
   int prev_act=cbt.get_active_row_number();
   cbt.clear();
   cbt_content.clear();
-
-  if (map_type & NUM)
-  {
-    std::vector< std::string >::iterator emsi=n_ml.begin();
-    for(;emsi!=n_ml.end();emsi++)
+  std::vector< std::string >::iterator emsi=ml.begin();
+  for(;emsi!=ml.end();emsi++)
     {
       cbt.append_text(*emsi);
       cbt_content.push_back(*emsi);
     }
-  }
-  if (map_type & STR)
-  {
-    std::vector< std::string >::iterator emsi=s_ml.begin();
-    for(;emsi!=s_ml.end();emsi++)
-    {
-      cbt.append_text(*emsi);
-      cbt_content.push_back(*emsi);
-    }
-  }
   if(def)
     {
@@ -164,17 +148,14 @@
 }
 
-void MapSelector::append_text(Glib::ustring text, MapValue::Type type)
+void MapSelector::append_text(Glib::ustring text)
 {
-  if (type & map_type)
-  {
-    cbt.append_text(text);
-    cbt_content.push_back(text);
+  cbt.append_text(text);
+  cbt_content.push_back(text);
 
-    if(set_new_map)
+  if(set_new_map)
     {
       set_active_text(text);
       set_new_map=false;
     }
-  }
 }
 
Index: mapselector.h
===================================================================
--- mapselector.h	(revision 201)
+++ mapselector.h	(revision 174)
@@ -20,8 +20,10 @@
 #define MAPSELECTOR_H
 
+class MapSelector;
+
 #include <all_include.h>
+#include <map_win.h>
 #include <libgnomecanvasmm.h>
 #include <libgnomecanvasmm/polygon.h>
-#include "map_value.h"
 
 ///A widget by which node and edgemaps can be selected, deselected and created.
@@ -82,5 +84,5 @@
   ///By pressing it
   ///\ref NewMapWin wilol pop-up
-  Gtk::Button newbut;
+  Gtk::Button * newbut;
 
   ///Reset button.
@@ -90,11 +92,11 @@
   ///
   ///It is visible only if \ref def is true.
-  Gtk::Button defbut;
+  Gtk::Button * defbut;
+
+  ///Container in which GUI elements are packed.
+  Gtk::HBox hbox;
 
   ///Shows purpose of \ref MapSelector piece.
-  Gtk::Label label;
-
-  /// Which types of maps (integer, string, ...) to display.
-  MapType map_type;
+  Gtk::Label * label;
 
  public:
@@ -103,13 +105,10 @@
 
   ///Creates the layout and binds signal to the correct place.
-  ///\param mapstorage Pointer to the \ref MapStorage to get the map list from.
+  ///\param optionlist list of names to place in \ref cbt
   ///\param act preselected option
   ///\param purpose text of label indicating purpose of \ref MapStorage
   ///\param itisedge do \ref MapSelector contains edgemap names or nodemapnames.
   ///\param def do we need 'Default' option. See \ref def.
-  ///\param type Specifies which types of maps to display.
-  MapSelector(std::vector<std::string> n_ml,
-      std::vector<std::string> s_ml, std::string act, std::string labeltext,
-      bool edge, bool d = true, MapType type = ALL);
+  MapSelector(std::vector<std::string> optionlist, std::string act, std::string purpose, bool itisedge, bool def=true);
 
   ///Returns signal emitted if the user has changed the selection. (\ref signal_cbt)
@@ -124,6 +123,5 @@
   ///into account that the previously selected option
   ///has to be set back after the operation.
-  void update_list(std::vector<std::string> n_ml,
-      std::vector<std::string> s_ml);
+  void update_list( std::vector<std::string> );
 
   ///Handles changement in \ref cbt.
@@ -174,5 +172,5 @@
   ///this function  will set \ref cbt to the new option.
   ///\param new_option new option to append
-  void append_text(Glib::ustring new_option, MapValue::Type);
+  void append_text(Glib::ustring new_option);
 };
 #endif //MAPSELECTOR_H
